<?xml version="1.0" encoding="iso-8859-1"?>
<set>
<url>http://c.actiondesk.com/?s=YOUR_ID&amp;p=21&amp;pp=1&amp;g=7171</url>
<modelname>Megan Longoria</modelname>
<setname>Red Fall</setname>
<hair>RED HAIR</hair>
<categories>High Heels, Lingerie, Naked Feet, Shaved, Stockings, Twerk</categories>
<country>RUSSIA</country>
<city>Saint Petersbourg</city>
<type>European</type>
<age>22</age>
<height>5.38</height>
<weight>106</weight>
<bio>Megan is a stunning redhead with long hair and full lips; she\'s from Russia.

She recently started her adult entertainment career and has already been nominated for \"Best New Performer \'25\"!

Yes, Megan is an excellent performer; she\'s fearless and knows how to captivate her audience!

By the way, Megan is also a pianist and violinist; she\'s a true music lover and adores art in general!

You\'re going to love this passionate artist!</bio>
<stats>33/24/35</stats>
</set>